using System;
using System.Windows.Forms;

namespace InfoProviderClient
{
	public class AutoWaitCursor : IDisposable
	{
		private Cursor currentCursor = Cursor.Current;

		public AutoWaitCursor()
		{
			Cursor.Current = Cursors.WaitCursor;
		}
	
		#region IDisposable Members

		public void Dispose()
		{
			Cursor.Current = currentCursor;
		}

		#endregion
	}
}
